package org.jopera.demo.data;

import java.io.Serializable;

public class Customer implements Serializable {

	private String name;
	private String address;
	private String telephone;
	private String email;
	
	public Customer(String address, String email, String name, String telephone) {
		this.address = address;
		this.email = email;
		this.name = name;
		this.telephone = telephone;
	}

	public String getName() {
		return name;
	}

	public String getAddress() {
		return address;
	}

	public String getTelephone() {
		return telephone;
	}

	public String getEmail() {
		return email;
	}
	
	public int getRating() {
		return (email != null) ? 1 : 2;
	}
	
}
